const Router = require("koa-router");
const system = require("./controllers/system");
const user = require("./controllers/user");
const enterprise = require("./controllers/enterprise");

const router = Router();
const API_VERSION = "/api/v1";

router.post(`${API_VERSION}/login`, system.login);
router.get(`${API_VERSION}/user/:type`, user.query);
router.get(`${API_VERSION}/merchant/inner/ent_check`, enterprise.entCheck)

module.exports = router;
