const LOGIN_URI = require("../config.js").LOGIN_URI;
const req = require("../utils/request").httpReq;

exports.entCheck = async ctx => {
  const url = `${LOGIN_URI}/merchant/inner/ent_check`;
  const { user_id } = ctx.request.params;
  const opts = {
    url,
    method: "GET",
    timeout: 8000,
    params: {
      user_id
    }
  };
  ctx.body = await req(ctx, opts)
};
